# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "crypt4gh"
version = "0.2.0"
authors = ["Roberto <roberto.ariosa@crg.eu>"]
description = "Encryption and decryption implementation of the Crypt4GH encryption format."
documentation = "https://docs.rs/crypt4gh"
readme = "README.md"
keywords = ["crypt4gh", "genetics", "genome", "encryption", "c4gh"]
categories = ["cryptography", "encoding"]
license = "Apache-2.0"
repository = "https://github.com/EGA-archive/crypt4gh-rust"
[profile.release]
lto = true
overflow-checks = true

[lib]
name = "crypt4gh"
path = "src/lib.rs"

[[bin]]
name = "crypt4gh"
path = "src/bin.rs"
[dependencies.anyhow]
version = "1.0"

[dependencies.base64]
version = "0.13.0"

[dependencies.bincode]
version = "1.3.1"

[dependencies.clap]
version = "3.0.0-beta.2"
features = ["yaml"]

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libsodium-sys]
version = "0.2.6"

[dependencies.log]
version = "0.4"

[dependencies.pretty_env_logger]
version = "0.4.0"

[dependencies.regex]
version = "1.4"

[dependencies.rpassword]
version = "5.0.0"

[dependencies.rust-crypto]
version = "0.2.36"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.sodiumoxide]
version = "0.2.6"
[dev-dependencies.rand]
version = "0.8"
